Subject: bug#27940: Recursively delete dir34? (yes, no, all, quit)

From: Tino Calancha <[email-masked]>
Date: Wed, 9 Aug 2017 14:54:32 +0900 (JST)

On Tue, 8 Aug 2017, Robert Marshall wrote:

> Tino Calancha <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>>> This warrants a NEWS entry, I think.  I also wonder whether we should
>>>>> describe this in the user manual, under "Dired Deletion".
>>>> Done.
>>>
>>> Thanks, LGTM.
>> Added feature into master branch as commit
>> cbea38e5c4af5386192fb9a48ef4fca5080d6561
>> (dired-do-delete: Allow to delete dirs recursively without prompts)
>
> Hi
>
> With this change deleting an empty directory now asks for confirmation
> whereas it didn't before and answering no to the recursively delete
> question still deletes the directory, which seems a bit counter
> intuitive?
>
> Robert
Thank you very much.
I believe commit da4438e14f1c55808937872b6d651a807404daa2
(dired-delete-file:  Dont't ask for empty dirs)
has fixed it.